import sofia.micro.*;
import sofia.util.Random;

//-------------------------------------------------------------------------
/**
 * A world for wombats, from the Greenfoot tutorial.
 *
 * @author  Stephen Edwards
 * @author  Last changed by $Author: edwards $
 * @version $Date: 2012/08/23 15:35 $
 */
public class WombatWorld
    extends World
{
    //~ Constructor ...........................................................

    // ----------------------------------------------------------
    /**
     * Create a new world with 8x8 cells and
     * with a cell size of 60x60 pixels
     */
    public WombatWorld()
    {
        super(8, 8, 60);
        setCellBackground("cell.jpg");
    }


    // ----------------------------------------------------------
    /**
     * Populate the world with a fixed scenario of wombats and leaves.
     */
    public void populate()
    {
        Wombat w1 = new Wombat();
        add(w1, 3, 3);

        Wombat w2 = new Wombat();
        add(w2, 1, 7);

        Leaf l1 = new Leaf();
        add(l1, 5, 3);

        Leaf l2 = new Leaf();
        add(l2, 0, 2);

        Leaf l3 = new Leaf();
        add(l3, 7, 5);

        Leaf l4 = new Leaf();
        add(l4, 2, 6);

        Leaf l5 = new Leaf();
        add(l5, 5, 0);

        Leaf l6 = new Leaf();
        add(l6, 4, 7);
    }


    // ----------------------------------------------------------
    /**
     * Place a number of leaves into the world at random places.
     * @param howMany The number of leaves to create and place.
     */
    public void randomLeaves(int howMany)
    {
        for (int i = 0; i < howMany; i++)
        {
            Leaf leaf = new Leaf();
            int x = Random.generator().nextInt(getWidth());
            int y = Random.generator().nextInt(getHeight());
            add(leaf, x, y);
        }
    }
}
